<aside class="main-sidebar sidebar-dark-primary elevation-4" data-widget="tree">
  <!-- Brand Logo -->
  <a [routerLink]="['/dashboard']" class="brand-link">
    <img
      src="assets/nic_logo.webp"
      alt="AdminLTE Logo"
      class="brand-image img-circle elevation-3"
      style="opacity: .8"
    />
    <span class="brand-text font-weight-light">EMS ADMIN</span>
  </a>

  <!-- Sidebar -->
  <div class="sidebar">
    <!-- Sidebar user panel (optional) -->
    <div class="user-panel mt-3 pb-3 mb-3 d-flex">
      <div class="image">
        <img
          src="assets/user2-160x160.webp"
          class="img-circle elevation-2"
          alt="User Image"
        />
      </div>
      <div class="info">
        <a class="d-block">{{fullName}}</a>
        <br>
        <button class="btn btn-success btn-xs btn-block"
                [routerLink]="['/users/profile']">
          View Profile
        </button>
      </div>
    </div>

    <form class="form-inline ml-3"
          [formGroup]="searchRequestDetailForm"
          (ngSubmit)="onSubmit()" novalidate>
      <div class="input-group input-group-sm">
        <input class="form-control form-control-navbar"
               formControlName="referenceNumber"
               type="search"
               placeholder="Search"
               aria-label="Search">
        <div class="input-group-append">
          <button class="btn btn-navbar" type="submit">
            <i class="fas fa-search"></i>
          </button>
        </div>
      </div>
    </form>

    <!-- Sidebar Menu -->
    <nav class="mt-2">
      <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
        <!-- Add icons to the links using the .nav-icon class
             with font-awesome or any other icon font library -->
        <li class="nav-item has-treeview" *ngFor="let menu of menus ">
          <a class="nav-link active" [routerLink]="menu.url">
            <i [ngClass]="menu.icon"></i>&nbsp;
            <p>
              {{menu.name}}
              <i class="right fas fa-angle-left" *ngIf="menu.menuResources.length > 0"></i>
            </p>
          </a>
          <ul class="nav nav-treeview" >
            <li class="nav-item" *ngIf="menu.menuResources.length > 0">
              <a [routerLink]="child.url" class="nav-link" *ngFor="let child of menu.menuResources">
                <i class="far fa-circle nav-icon"></i>
                <p>{{child.name}}</p>
              </a>
            </li>
          </ul>
        </li>
      </ul>
    </nav>
    <!-- /.sidebar-menu -->
  </div>
  <!-- /.sidebar -->
</aside>
